{% extends "@Paa/Default/entityFormBaseOnglets.html.twig" %}

{% block onglets %}
	{#Ici les onglets dans le cadre de l'exemple des caisses#}
	{#1. définition des onglets#}
        
{#	{% set psOngletActif = "OngletGénéral"%}#}

	<ul class="nav nav-tabs">
		{% if app.environment is same as ("dev") %}	
            <li class="nav-item bg-onglet rounded-top {{ (psOngletActif == "OngletLibellé")?'active show':'' }}">
                <a class="boutonOnglet nav-link color-txt-onglet" id="OngletLibellé" href="#formulaire_OngletLibellé" data-toggle="tab" style="height:30px; padding:5px 15px; color: red;">
                    Libellé
                </a>
            </li>
		{% endif %}
            <li class="nav-item bg-onglet rounded-top {{ (psOngletActif == "OngletGénéral")?'active show':'' }}">
                <a class="boutonOnglet nav-link color-txt-onglet" id="OngletGénéral" href="#formulaire_OngletGénéral" data-toggle="tab" style="height:30px; padding:5px 15px;">
                    Général
                </a>
            </li>
		{% if app.environment is same as ("dev") %}		
            <li class="nav-item bg-onglet rounded-top {{ (psOngletActif == "OngletSeanceGraphique")?'active show':'' }}">
                <a class="boutonOnglet nav-link color-txt-onglet" id="OngletSeanceGraphique" href="#formulaire_OngletSeanceGraphique" data-toggle="tab" style="height:30px; padding:5px 15px; color: red;">
                    Séances: graphique
                </a>
            </li>
		{% endif %}
            <li class="nav-item bg-onglet rounded-top {{ (psOngletActif == "OngletSeanceListe")?'active show':'' }}">
                <a class="boutonOnglet nav-link color-txt-onglet" id="OngletSeanceListe" href="#formulaire_OngletSeanceListe" data-toggle="tab" style="height:30px; padding:5px 15px;">
                    Séances : liste
                </a>
            </li>                
	</ul>

	{#2. contenus des onglets#}
	<div class="tab-content">
                <div id="formulaire_OngletLibellé" class="tab-pane fade bg-white shadow-sm rounded {{ (psOngletActif == "OngletLibellé")?'in active show':'' }}">
                {% if psOngletActif == "OngletLibellé" %}
                    {% include '@Paa/form/activites_OngletLibellé.html.twig' %}
                {% endif %}
                
{#                {% include '@Paa/form/activites_OngletLibellé.html.twig' %}#}

                </div>
		<div id="formulaire_OngletGénéral" class="tab-pane fade bg-white shadow-sm rounded {{ (psOngletActif == "OngletGénéral")?'in active show':'' }}">
                {% if psOngletActif == "OngletGénéral" %}
                    {% include '@Paa/form/activites_OngletGénéral.html.twig' %}
 		{% endif %}
                
{#                {% include '@Paa/form/activites_OngletGénéral.html.twig' %}#}

                </div>
                <div id="formulaire_OngletSeanceGraphique" class="tab-pane fade {{ (psOngletActif == "OngletSeanceGraphique")?'in active show':'' }}">
                {% if psOngletActif == "OngletSeanceGraphique" %}
                    {% include '@Paa/form/activites_OngletSeanceGraphique.html.twig' %}
 		{% endif %}
 			
 		</div>
		<div id="formulaire_OngletSeanceListe" class="tab-pane fade {{ (psOngletActif == "OngletSeanceListe")?'in active show':'' }}">
                {% if psOngletActif == "OngletSeanceListe" %}
                    {% include '@Paa/form/activites_OngletSeanceListe.html.twig' %}
 		{% endif %}
 			
                </div>
        </div>
{% endblock %}

 {% block scriptsEnFinDeBody %}

<script>
                $('#SemaineActu').html('salut');
                           console.log($('#fEntityForm_activites_validite'));

               
              $('#fEntityForm_activites_validite').on('change', 

            function(){
             var Select  = this.value;
                switch(Select)
                {
                    case'1':
                        
                        $('#Hdeb').css('display','none');                        
                        $('#Hfin').css('display','none');
                        alert("non terminé");

                    break;
                    
                    case'2':
                        $('#Hdeb').css('display','none');                        
                        $('#Hfin').css('display','none');
                        $('#fEntityForm_activites_heureDebut')[0].value = null;                        
                        $('#fEntityForm_activites_heureFin')[0].value = null;

                    break;
                    case'3':
                        
                        $('#Hdeb').css('display','none');                        
                        $('#Hfin').css('display','none');
                        alert("non terminé");
                    break;
                    case'4':
                        $('#Hdeb').css('display','block');                        
                        $('#Hfin').css('display','block');
                        alert("non terminé");

                    break;
                }
            
             });
                
                
 
                
            
        </script>

	{#Bootstrap  multiselect, http://davidstutz.de/bootstrap-multiselect/index.html#getting-started#}
	<script type="text/javascript" src="{{asset_version('vendor/bootstrap/multiselect/js/bootstrap-multiselect.js')}}"></script>
	<link rel="stylesheet" type="text/css" href="{{asset_version('vendor/bootstrap/multiselect/css/bootstrap-multiselect.css')}}">
    
	{#Ressources#}
	<link rel="stylesheet" type="text/css" href="{{asset_version('Limoog/Partages/widgets/LGMultiselect/LGMultiselect.css')}}">
	<script type="text/javascript" src="{{asset_version('Limoog/Partages/widgets/LGMultiselect/LGMultiselect.js')}}"></script>
	<script type="text/javascript" src="{{asset_version('Limoog/Paa/src/ressources.js')}}"></script>
	
	{#spectrum : widget getColor utilisé pour les colorPicker #}
	<script src="{{asset_version('vendor/spectrum/spectrum.js')}}"></script>
	<script type="text/javascript" src="{{asset_version('Limoog/Partages/src/couleurs.js')}}"></script>
		
        
{# LG deac passé dans getIDActivitesPoPUP (renommé en pageTestPopup_getIDActivites)	<script type="text/javascript" src="{{asset_version('Limoog/Symfony/entityFormPopup.js')}}"></script>#}
	
	{#Spécifiques#}

 {% endblock %}
 